body {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  background-color: #f0f0f0;
}

/* Main */
.App {
  text-align: center;
}

/* Title Header */
.App-header {
  background-color: #f0f0f0;
  color: #329c49;
  padding: 10px;
  padding-top: 30px;
}

/* Main Container */
.App-container {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Chat Container */
.Chat-container {
  background-color: white;
  border-radius: 10px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
  width: 40vw;
  min-width: 500px;
  max-width: 100%;
  height: 75vh;
  overflow: auto;
  overflow-wrap: break-word;
}

/* Message List Container */
.Chat-message-list {
  padding: 0px 20px 0px 20px;
  overflow-y: auto;
  display: flex;
  flex-direction: column; /* Display messages in a column */
  scroll-behavior: smooth;
}

/* Non specific message css */
.Chat-message {
  padding: 10px 20px 0px 20px;
  border-radius: 10px;
  max-width: 70%;
  text-align: left;
  margin-bottom: 10px;
}

/* User messages on the right */
.User-message {
  background-color: #329c49;
  align-self: flex-end;
  color: white;
  margin-left: auto;
  text-align: left;
  padding: 10px;
}

/* Bot messages on the left */
.Bot-message {
  background-color: rgb(197, 197, 197);
  color: #333;
  align-self: flex-start;
  margin-right: auto;
  padding: 10px;
}

/* Chat Input Container */
.chat-input {
  position: absolute;
  bottom: -50px;
  width: 40vw;
  min-width: 500px;
  max-width: 100%;
  display: flex;
  align-items: center;
}

/* Input Field */
.chat-input input {
  flex: 1;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
  outline: none;
}

/* Send Button */
.chat-input button {
  margin-left: 10px;
  padding: 8px 16px;
  background-color: #329c49;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  outline: none;
  transition: background-color 0.2s ease-in-out;
}

.chat-input button:hover {
  background-color: #147729;
}

/* SCROLLBAR */
::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background: #329c49;
}

::-webkit-scrollbar-thumb:hover {
  background: #147725;
}